Package uk.ac.starlink.vo

## Interface TapServiceFinder.Service

- Enclosing interface:
    TapServiceFinder

      public static interface TapServiceFinder.Service

  Basic metadata describing a TAP service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | Returns a textual description of this service.
    `java.lang.String` | `getId()` | Returns the IVO Identifier for this service.
    `java.lang.String` | `getName()` | Returns the short name of this service.
    `java.lang.String` | `getServiceUrl()` | Returns the TAP base URL for access to this service.
    `int` | `getTableCount()` | Returns the number of tables provided by this service.
    `java.lang.String` | `getTitle()` | Returns the title of this service.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns the IVO Identifier for this service.
      Returns:
        service ivoid

    - #### getName

          java.lang.String getName()

      Returns the short name of this service.
      Returns:
        service name

    - #### getTitle

          java.lang.String getTitle()

      Returns the title of this service.
      Returns:
        service title

    - #### getDescription

          java.lang.String getDescription()

      Returns a textual description of this service.
      Returns:
        service description

    - #### getServiceUrl

          java.lang.String getServiceUrl()

      Returns the TAP base URL for access to this service.
      Returns:
        TAP base URL

    - #### getTableCount

          int getTableCount()

      Returns the number of tables provided by this service. If not known, -1 may be returned.
      Returns:
        table count, or -1